This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 220466 - i810 black screen on Core 2 Duo Thinkpad X60 when brightness up
i810 black screen on Core 2 Duo Thinkpad X60 when brightness up
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
: 220022 224170 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 10:42 EST by Samuel Ky Lau
Modified: 2009-03-02 16:01 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 16:01:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log file (69.77 KB, text/plain)
2007-01-07 09:14 EST, Samuel Ky Lau
no flags Details
Xorg config file (639 bytes, text/plain)
2007-01-07 09:15 EST, Samuel Ky Lau
no flags Details
Xorg log file without xorg.conf (73.62 KB, text/plain)
2007-01-07 23:20 EST, Samuel Ky Lau
no flags Details

  None (edit)
Description Samuel Ky Lau 2006-12-21 10:42:31 EST
Description of problem:
hi
  I am having black screen when I hit Fn-Home (Brightness up) on my Thinkpad
X60. The birghtness up hotkey works fine in console and I am able to Ctrl-Alt-F7
back to Xorg. But It will not work under Xorg and Xorg is still running.
Changing run level from 3 to 5 back and forward will get the screen back.

The intel driver kinda fix the black screen problem. When I hit Fn-Home, it goes
black screen, by release the key Home then Fn. I am able get the screen back.
But it hangs up or black screen when I try to restart or shutdown from GDM.

The vesa driver works still but without Xv.

I try the following without luck.
* enable the acpi video.conf
* update driver to 1.7.2 on but i810 and modesetting


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810

How reproducible:
hit Fn-Home 


Steps to Reproduce:
1. On GDM or login to Xorg after boot
2. Hit Fn-Home

  
Actual results:
Black screen

Expected results:


Additional info:

The vesa driver works still but without Xv.
Comment 1 Samuel Ky Lau 2006-12-21 10:44:09 EST
It also happen to RHEL 5 Beta 2
Comment 2 Matěj Cepl 2006-12-27 16:06:25 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Samuel Ky Lau 2007-01-07 09:14:36 EST
Created attachment 145003 [details]
Xorg log file
Comment 4 Samuel Ky Lau 2007-01-07 09:15:30 EST
Created attachment 145004 [details]
Xorg config file
Comment 5 Samuel Ky Lau 2007-01-07 09:17:29 EST
Hi

  Sorry for this late reply, 7 out of the 8 internet backbone were out of
service cuz the earthquake in Taiwan.  I was not able to get on bugzilla, b4 i
get a connection time out.  Here are the files, I hope this help to fix the
blackscreen.

Thanks for your attention

Comment 6 Samuel Ky Lau 2007-01-07 23:20:50 EST
Created attachment 145025 [details]
Xorg log file without xorg.conf
Comment 7 Richard Monk 2007-04-03 15:46:15 EDT
It looks like the brightness up key has been remapped to the "Switch display"
key (toggle between CRT/LCD/both).  We have noticed this on T60 laptops, which
run a very similar card:

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/940GML Express
Integrated Graphics Controller (rev 03)
Comment 8 Adam Jackson 2007-04-03 17:42:34 EDT
*** Bug 224170 has been marked as a duplicate of this bug. ***
Comment 9 Bryan O'Sullivan 2007-04-10 11:01:04 EDT
I see the same problem on F7 test 3.
Comment 10 Adam Jackson 2007-04-10 18:32:30 EDT
*** Bug 220022 has been marked as a duplicate of this bug. ***
Comment 11 Matěj Cepl 2007-04-16 04:34:15 EDT
Isn't this DUP of bug 236500?
Comment 12 Bryan O'Sullivan 2007-04-16 11:26:08 EDT
Doesn't look quite like a dup to me.  On a Thinkpad, the symptoms are different
to the Dell symptoms reported in bug 236500, even though the graphics hardware
seems similar in both cases.
Comment 13 Andrew Bartlett 2007-05-07 02:04:00 EDT
This problem (on my X60) went away for me with updates and/or a change to the
'intel' Xorg driver.  I'm running Fedora rawhide, and was seeing this before. 

Comment 14 Andy Shevchenko 2007-05-13 15:04:51 EDT
Really, driver intel does not blank  when I click Fn+Bright keys. But the 
switching is not smoothly (~2sec black screen, than ~1.5-2 sec brigth rises to 
need value). The gnome-power-manager works fine (without any delay on 
switching). I consider it inconvenient for me.
Comment 15 Bryan O'Sullivan 2007-06-12 02:32:33 EDT
BTW, I still have this problem.  I have to ensure that video.ko isn't loaded.
Comment 16 Derek Atkins 2007-09-20 17:16:06 EDT
Yes, the driver "intel" doesn't exhibit this problem, but the driver "intel"
also doesn't seem to support dual-head mode so it's a non-starter.  I see this
problem on an up-to-date Fedora 7 system running on a Thinkpad T60.
Comment 17 Matěj Cepl 2007-12-10 04:22:25 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 18 Matěj Cepl 2008-01-08 12:47:29 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 19 Derek Atkins 2008-01-08 12:56:30 EST
I can confirm that this problem still exists on Fedora 7.
Comment 20 Andy Shevchenko 2008-01-09 02:00:38 EST
I have switched to the intel driver from i810. It works in the F-7.
Comment 21 Derek Atkins 2008-01-09 08:51:08 EST
Yes, but as I said in comment #16, the intel driver cannot operate dual-head.
Comment 22 Till Maas 2008-01-09 18:56:01 EST
(In reply to comment #21)
> Yes, but as I said in comment #16, the intel driver cannot operate dual-head.

I did not test it, but the manpages indicate, that this should work.

Look for randr in man xorg.conf and man intel
Comment 23 Derek Atkins 2008-01-09 20:54:25 EST
xrandr allows you to have a single virtual screen that crosses over onto two
displays, but it doesn't let you have two screens.  Using xrandr, the gnome
panel moves over to the VGA screen, and the two "displays" share :0.0 instead of
putting the LCD on :0.0 and the VGA on :0.1.  Apparently this is called "zaphod
mode", and the intel driver seems not to support it.  Thanks, but no thanks.
Comment 24 Jesse Barnes 2008-01-10 17:06:50 EST
Well, it's unlikely that i810 will get any better at handling the brightness 
keys...  And yeah, unfortunately zaphod mode isn't supported in the intel 
driver, but there is an upstream bug for it, so we might fix it for 2.3.
Comment 25 penguinpages 2008-01-11 08:04:38 EST
I posted my bug on this issue under
https://bugzilla.redhat.com/show_bug.cgi?id=239332

An "upstream bug" has been alluded two on several threads related to this, but
nobody is posting the location to this bug so I can put a tickler on it. This
error is one of three primary failures which forced me back to Windows from my
beloved OS. 

Comment 26 Matěj Cepl 2008-01-11 12:43:19 EST
Derek, I think intel can handle dual-head pretty well, only you don't use
Xinerama and stuff but you have to play with xrandr command. Are you able to
switch to "intel" driver, please?
Comment 27 Matěj Cepl 2008-02-11 09:26:33 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 28 Bryan O'Sullivan 2008-02-11 09:34:19 EST
The Intel driver has been a source of random crashes and freezes for me, so it's
hard to consider it as usable.
Comment 29 Derek Atkins 2008-02-11 13:11:50 EST
Matej,

Sorry I didn't respond earlier to comment #26, but see Comment #24.  The Intel
driver doesn't support zaphod mode, which is exactly the feature I'm looking
for, and why I have to use the i810 driver.  There's no way to use xrandr with
the intel driver to get a :0.0 and :0.1 screen, both with gnome panel, and
having them with separate sets of windows/geometries/etc.
Comment 30 Matěj Cepl 2008-04-09 10:21:21 EDT
yeah
Comment 31 Bug Zapper 2008-05-13 22:31:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Matěj Cepl 2008-09-24 10:20:52 EDT
Just curious -- does anybody see this bug still in the alive?
Comment 33 Derek Atkins 2008-09-24 10:50:35 EDT
I still see it, but I'm still on Fedora 7.  I've been on the road too much to have time to update my laptop.  MAYBE I'll update to F9 in a couple weeks, but I suspect I wont get to it until the end of October.  So if you don't mind could we keep this bug open until then?
Comment 34 Matěj Cepl 2008-09-26 05:30:40 EDT
No problem.
Comment 35 Matěj Cepl 2008-10-23 06:07:23 EDT
just to keep this alive
Comment 36 Matěj Cepl 2008-11-24 06:22:18 EST
ping? any development?
Comment 37 Matěj Cepl 2009-03-02 16:01:19 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.